<?php

require_once '../../modelo/environment.php';

class DecodeUser
{
    public static function handlePostUsuario($id_usuario)
    {
        try {
            if (is_null($id_usuario) || $id_usuario == 'null'  || $id_usuario == null) {
                $_idUsuario = 0;
            } else {
                $userData = Environment::decodeUser($id_usuario);
                if (is_object($userData) && property_exists($userData, 'id_usuario')) {
                    $_idUsuario = $userData->id_usuario;
                } else {
                    $_idUsuario = 0;
                }
            }
        } catch (Exception $e) {
            $_idUsuario = 0;
        }
        return $_idUsuario;
    }
}
